/*
 * $Id: Parameters_print.cpp 88 2008-12-10 18:31:39Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Core/Multi_OOO_Engine/OOO_Engine/OOO_Engine_Glue/include/Parameters.h"
#include "Behavioural/include/XML.h"

namespace morpheo                    {
namespace behavioural {
namespace core {
namespace multi_ooo_engine {
namespace ooo_engine {
namespace ooo_engine_glue {


#undef  FUNCTION
#define FUNCTION "OOO_Engine_Glue::print"
  std::string Parameters::print (uint32_t depth)
  {
    log_begin(OOO_Engine_Glue,FUNCTION);

    XML xml ("ooo_engine_glue");

    xml.balise_open("ooo_engine_glue");
//  xml.singleton_begin(""); xml.attribut("value",toString(_)); xml.singleton_end();
    xml.balise_close();

    log_end(OOO_Engine_Glue,FUNCTION);
    
    return xml.get_body(depth);
  };

#undef  FUNCTION
#define FUNCTION "OOO_Engine_Glue::operator<<"
  std::ostream& operator<< (std::ostream& output_stream ,
			    morpheo::behavioural::core::multi_ooo_engine::ooo_engine::ooo_engine_glue::Parameters & x)
  {
    log_begin(OOO_Engine_Glue,FUNCTION);

    output_stream << x.print(0);
    
    log_end(OOO_Engine_Glue,FUNCTION);

    return output_stream;
  };

}; // end namespace ooo_engine_glue
}; // end namespace ooo_engine
}; // end namespace multi_ooo_engine
}; // end namespace core

}; // end namespace behavioural
}; // end namespace morpheo              
